Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class Page

    java.lang.Object
      org.apache.fop.layoutmgr.Page

public class Page
extends java.lang.Object

This object is used by the layout engine to represent a page. It provides access to the simple-page-master that was used as a template for this page and it provides access to the PageViewport which is the top-level area tree element. This class helps to decouple the FO tree from the area tree to make the latter easily serializable.

Constructor Summary
`Page(java.awt.Rectangle viewArea, int pageNumber, java.lang.String pageNumberStr, boolean blank)` Auxiliary constructor used when there's no SimplePageMaster.
`Page(SimplePageMaster spm, int pageNumber, java.lang.String pageNumberStr, boolean blank)` Main constructor

Method Summary
`PageViewport` | `getPageViewport()`
`SimplePageMaster` | `getSimplePageMaster()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Page

    public Page(SimplePageMaster spm,
                int pageNumber,
                java.lang.String pageNumberStr,
                boolean blank)

  Main constructor

Parameters:
  `spm` - the simple-page-master used for this page
  `pageNumber` - the page number (as an int)
  `pageNumberStr` - the page number (as a String)
  `blank` - true if this is a blank page

### Page

    public Page(java.awt.Rectangle viewArea,
                int pageNumber,
                java.lang.String pageNumberStr,
                boolean blank)

  Auxiliary constructor used when there's no SimplePageMaster.

Parameters:
  `viewArea` - the view area of the page
  `pageNumber` - the page number (as an int)
  `pageNumberStr` - the page number (as a String)
  `blank` - true if this is a blank page

Method Detail

### getSimplePageMaster

    public SimplePageMaster getSimplePageMaster()

  Returns:
    the simple-page-master that created this page

### getPageViewport

    public PageViewport getPageViewport()

  Returns:
    the page viewport representing this page in the area tree

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.